## net.sf.statcvs.output
Class JCVSWebIntegration

    java.lang.Object
      net.sf.statcvs.output.JCVSWebIntegration

All Implemented Interfaces:
  WebRepositoryIntegration

    public class JCVSWebIntegration

extends Object
implements WebRepositoryIntegration

Creates links to a JCVSWeb repository browser.

Version:
  $Id: JCVSWebIntegration.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  ERMEANEY

Constructor Summary
`JCVSWebIntegration(String baseURL)`

Method Summary
`String` `getBaseUrl()`
`String` `getDiffUrl(Revision oldRevision, Revision newRevision)` Returns a URL to a diff in the web repository browser.
`String` `getDirectoryUrl(Directory directory)` Returns a URL to a directory in the web repository browser
`String` `getFileHistoryUrl(VersionedFile file)` Returns a URL to a file in the web repository browser.
`String` `getFileViewUrl(Revision revision)` Returns a URL to a file in the web repository browser.
`String` `getFileViewUrl(VersionedFile file)` Returns a URL to a file in the web repository browser.
`String` `getName()` Returns the name of the repository browser
`void` `setAtticFileNames(Set atticFileNames)` Sets the files that are "in the attic", in the CVS sense.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCVSWebIntegration

    public JCVSWebIntegration(String baseURL)

Method Detail

### getName

    public String getName()

  Description copied from interface: `WebRepositoryIntegration`
  Returns the name of the repository browser

  Specified by:
    `getName` in interface `WebRepositoryIntegration`
  Returns:
    the name of the repository browser

### getDirectoryUrl

    public String getDirectoryUrl(Directory directory)

  Description copied from interface: `WebRepositoryIntegration`
  Returns a URL to a directory in the web repository browser

  Specified by:
    `getDirectoryUrl` in interface `WebRepositoryIntegration`
  Parameters:
    `directory` - the directory
  Returns:
    a URL to the directory in the web repository browser

### getFileHistoryUrl

    public String getFileHistoryUrl(VersionedFile file)

  Description copied from interface: `WebRepositoryIntegration`
  Returns a URL to a file in the web repository browser. The URL points to a history of all revisions of the file.

  Specified by:
    `getFileHistoryUrl` in interface `WebRepositoryIntegration`
  Parameters:
    `file` - the file
  Returns:
    a URL to the file in the web repository browser

### getFileViewUrl

    public String getFileViewUrl(VersionedFile file)

  Description copied from interface: `WebRepositoryIntegration`
  Returns a URL to a file in the web repository browser. The URL points to a representation of the file's current contents.

  Specified by:
    `getFileViewUrl` in interface `WebRepositoryIntegration`
  Parameters:
    `file` - the file
  Returns:
    a URL to the file in the web repository browser

### getFileViewUrl

    public String getFileViewUrl(Revision revision)

  Description copied from interface: `WebRepositoryIntegration`
  Returns a URL to a file in the web repository browser. The URL points to a representation of the specific revision given as a parameter.

  Specified by:
    `getFileViewUrl` in interface `WebRepositoryIntegration`
  Parameters:
    `revision` - the revision
  Returns:
    a URL to the revision in the web repository browser

### getDiffUrl

    public String getDiffUrl(Revision oldRevision,
                             Revision newRevision)

  Description copied from interface: `WebRepositoryIntegration`
  Returns a URL to a diff in the web repository browser. Both revisions must belong to the same `VersionedFile`.

  Specified by:
    `getDiffUrl` in interface `WebRepositoryIntegration`
  Parameters:
    `oldRevision` - the old revision
    `newRevision` - the new revision
  Returns:
    a URL to a diff

### setAtticFileNames

    public void setAtticFileNames(Set atticFileNames)

  Description copied from interface: `WebRepositoryIntegration`
  Sets the files that are "in the attic", in the CVS sense. See CVS manual.

  Specified by:
    `setAtticFileNames` in interface `WebRepositoryIntegration`
  Parameters:
    `atticFileNames` - names of all files (`String`) in the attic

### getBaseUrl

    public String getBaseUrl()

  Specified by:
    `getBaseUrl` in interface `WebRepositoryIntegration`
  Returns:
    the base Url